Eclipse下BASE64Decoder提示错误的解决办法

2012/04/16 21:03
阅读数 4.7W
在MyEclipse中编写Java代码时,用到了BASE64Decoder,import sun.misc.BASE64Decoder;可是Eclipse提示:
Access restriction : The type BASE64Decoder is not accessible due to restriction on required library C:\Program
files\java\jre6\lib\rt.jar
Access restriction : The constructor BASE64Decoder() is not accessible due to restriction on required library C:\Program files\java\jre6\lib\rt.jar

解决方案1(推荐):
只需要在project build path中先移除JRE System Library,再添加库JRE System Library,重新编译后就一切正常了。
解决方案2:
Windows -> Preferences -> Java -> Compiler -> Errors/Warnings ->
Deprecated and trstricted API -> Forbidden reference (access rules): -> change to warning
展开阅读全文
打赏
1
1 收藏
分享
加载中
好神奇
2017/09/08 09:19
回复
举报
多谢多谢13
2014/06/09 09:58
回复
举报
多谢多谢
2013/05/17 09:36
回复
举报
这么神奇??
2013/04/11 11:39
回复
举报
更多评论
打赏
4 评论
1 收藏
1
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部